## Index

### Functions

- TypedSet

## Functions

### TypedSet

- TypedSet(modelConstructor?: ModelConstructor<any>): PropertyDecorator

- - Defined in decorator/impl/collection/typed-set.decorator.ts:10

  Makes sure the property will be marshalled to a S(et) type. The modelConstructor is required if the collection items have some property decorators, so we can retrieve this information using the model class.

  deprecated

    instead use @CollectionProperty({ itemType?: modelConstructor })

  #### Parameters

  - ##### Optional modelConstructor: ModelConstructor<any>

  #### Returns PropertyDecorator

Generated using TypeDoc